<ion-header>
  <ion-toolbar>
    <ion-buttons slot="start">
      <ion-back-button></ion-back-button>
    </ion-buttons>
    <ion-title>Log In</ion-title>
  </ion-toolbar>
</ion-header>
<ion-content>
  <form class="center">
    <ion-item lines="full">
      <ion-label position="floating">Email</ion-label>
      <ion-input
        type="text"
        name="username"
        required
        [(ngModel)]="postData.username"
      ></ion-input>
    </ion-item>
    <ion-item lines="full">
      <ion-label position="floating">Password</ion-label>
      <ion-input
        type="password"
        name="password"
        required
        [(ngModel)]="postData.password"
      ></ion-input>
    </ion-item>
    <ion-row>
      <ion-col>
        <ion-button
          type="submit"
          color="danger"
          expand="block"
          (click)="login()"
          >Sign In</ion-button
        >
      </ion-col>
    </ion-row>
  </form>
</ion-content>
